README for BinClock 1.5 [2004-07-24]

BinClock was written by Nico Golde <binclock@ngolde.de>.
Homepage: http://www.ngolde.de

BinClock - Displays system time in binary format
BinClock is a program which shows the system time in a binary format.
It supports showing the time with eight different colors, and it can
run a loop that prints the time every second.


The default colors and characters can be changed in the personal config file:
~/.binclockrc

or in the global binclock config file:
/etc/binclockrc

BinClock supports the colors:
	blue
	white
	red
	green
	yellow
	magenta
	cyan	
	black

Examples:

nico@golde:~$ binclock --help
BinClock 1.5 [2004-07-24]
usage: binclock [options]

short options:
-v      print the version number + release date + exit.
-h      print version info and startup options  + exit.
-l      loop the time every second.
-n      shows the time with an additional normal format.
-t      shows time in traditional mode

long options:
--color=[on|off] default: on

nico@golde:~$ binclock --version
BinClock 1.5 [2004-07-24]

nico@golde:~$ binclock -t
010010 : 0110011 : 01111

nico@golde:~$ binclock --color=off
O 1 O 1 O O
O O O O 1 1
O O 1 O O O
1 O 1 1 O O

If you call BinClock with --color=on, the 1 and 0 are
colorized.

nico@golde:~$ binclock -l
O 1 O 1 O O
O O O O 1 1
O O 1 O O O
1 O 1 1 O O

After one second:

O 1 O 1 O O
O O O O 1 1
O O 1 O O O
1 O 1 1 O 1 

If binclock is called with -n it looks like this:
nico@golde:~$ binclock -n
O 1 O 1 O O 18:39:44
O O O O 1 1
O O 1 O O O
1 O 1 1 O O

You can change the characters for printing in your configfile.
Almost all characters should be supported save the character '#'
because it is used for comments.
